/* date = May 12th 2022 0:29 pm */

#ifndef OGL_ABS_H
#define OGL_ABS_H

////////////////////////////////
// NOTE(allen): OpenGL System Functions

// NOTE(allen): These APIs are highly thread restricted.
// They must all be used from a single thread.

function B32  ogl_is_inited(void);
function B32  ogl_init(void);

function B32  ogl_equip_window(GFX_Window *window);

function void ogl_begin(GFX_Window *window);
function void ogl_end(void);

#endif //OGL_ABS_H
